While not mentioned explicitly in Release Notes on the Check Point site for SNX 75 (it lists there only Mac OS X 10.7, 10.7.1, 10.7.2 Lion, 32-bit and 64-bit as supported versions) , it does work with new version of Apple Mac.
Yesterday I did it for R71.40  and it worked just fine, you have to install hotfix though named– SNX_MACOS.linux.tgz .